Subject: bug#54285: 29.0.50; Scrolling the calc help buffer

From: Michael Heerdegen <[email-masked]>
Date: Tue, 08 Mar 2022 02:17:40 +0100

Michael Heerdegen <[email-masked]> writes:

> > calc-dispatch-help is basically just looping over `read-event' and
> > responding only to the keyboard scroll keys.  Perhaps a better way to
> > implement this would be to use the normal help functions (which are less
> > modal) so that these things work better?

Or did you mean: like `help-for-help'?  That's similar.  Scrolling
`help-for-help' with the mouse wheel loses the prompt for a key, btw,
only scrolling with the scroll bar works as expected for me.

Note that `help-for-help' is a front end for help commands, while
`calc-dispatch-help' more or less only summarizes the commands reachable
from the outside Calc C-x * prefix.  The Calc help stuff doesn't even
seem to be reachable from C-x *.

BTW, there is a way to get that buffer directly and without a key prompt:
C-h f calc-dispatch-help RET.

Michael.